lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)

require 'faye/publisher/version'

Gem::Specification.new do |spec|

  spec.name = 'faye-publisher'
  spec.version = Faye::Publisher::VERSION
  spec.authors = ['Adrian Gomez']
  spec.date = '2014-04-25'
  spec.summary = 'Simple faye publisher'
  spec.description   = <<-DESCRIPTION
    Allows to publish messages to a faye server, the main difference with the default faye client
    is that it does not need to run inside a EventMachine loop as it only opens a http connection
    with the server to send the event.
    Because of this is best to publish events from a separate thread using sidekiq for example.
  DESCRIPTION
  spec.email = 'adrian_g171@hotmail.com'
  spec.extra_rdoc_files = %w[LICENSE README.md]
  spec.files = %w[
    Gemfile
    LICENSE
    README.md
    faye-publisher.gemspec
    lib/faye-publisher.rb
    lib/faye/publisher.rb
    lib/faye/publisher/testing.rb
  ]
  spec.homepage = 'https://github.com/adrian-gomez/faye-publisher'
  spec.licenses = %w[MIT]
  spec.require_paths = %w[lib]

end